Patch Package OTP 22.0.7 Released

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Patch Package OTP 22.0.7 Released

Erlang/OTP
Patch Package:           OTP 22.0.7
Git Tag:                 OTP-22.0.7
Date:                    2019-07-11
Trouble Report Id:       OTP-15953
Seq num:                 ERL-999
System:                  OTP
Release:                 22
Application:             compiler-7.4.4
Predecessor:             OTP 22.0.6

 Check out the git tag OTP-22.0.7, and build a full OTP system
 including documentation. Apply one or more applications from this
 build as patches to your installation using the 'otp_patch_apply'
 tool. For information on install requirements, see descriptions for
 each application version below.

 ---------------------------------------------------------------------
 --- compiler-7.4.4 --------------------------------------------------
 ---------------------------------------------------------------------

 The compiler-7.4.4 application can be applied independently of other
 applications on a full OTP 22 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-15953    Application(s): compiler
               Related Id(s): ERL-999

               Fixed a compiler crash introduced in 22.0.6
               (OTP-15952).


 Full runtime dependencies of compiler-7.4.4: crypto-3.6, erts-9.0,
 hipe-3.12, kernel-4.0, stdlib-2.5


 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
 ---------------------------------------------------------------------

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Patch Package OTP 22.0.7 Released

Frank Muller
Won’t compile on Ubuntu 16.04/18.04LTS after disabling native-libs and even HIPE

/Frank

Le jeu. 11 juil. 2019 à 11:45, Erlang/OTP <[hidden email]> a écrit :
Patch Package:           OTP 22.0.7
Git Tag:                 OTP-22.0.7
Date:                    2019-07-11
Trouble Report Id:       OTP-15953
Seq num:                 ERL-999
System:                  OTP
Release:                 22
Application:             compiler-7.4.4
Predecessor:             OTP 22.0.6

 Check out the git tag OTP-22.0.7, and build a full OTP system
 including documentation. Apply one or more applications from this
 build as patches to your installation using the 'otp_patch_apply'
 tool. For information on install requirements, see descriptions for
 each application version below.

 ---------------------------------------------------------------------
 --- compiler-7.4.4 --------------------------------------------------
 ---------------------------------------------------------------------

 The compiler-7.4.4 application can be applied independently of other
 applications on a full OTP 22 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-15953    Application(s): compiler
               Related Id(s): ERL-999

               Fixed a compiler crash introduced in 22.0.6
               (OTP-15952).


 Full runtime dependencies of compiler-7.4.4: crypto-3.6, erts-9.0,
 hipe-3.12, kernel-4.0, stdlib-2.5


 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
 ---------------------------------------------------------------------

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Patch Package OTP 22.0.7 Released

John Högberg-2
What commands do you use to build?

What's the full error message? I hope there's more to it than "Build failed. Error 1."

/John

On Thu, 2019-07-11 at 13:28 +0200, Frank Muller wrote:
Won’t compile on Ubuntu 16.04/18.04LTS after disabling native-libs and even HIPE

/Frank

Le jeu. 11 juil. 2019 à 11:45, Erlang/OTP <[hidden email]> a écrit :
Patch Package:           OTP 22.0.7
Git Tag:                 OTP-22.0.7
Date:                    2019-07-11
Trouble Report Id:       OTP-15953
Seq num:                 ERL-999
System:                  OTP
Release:                 22
Application:             compiler-7.4.4
Predecessor:             OTP 22.0.6

 Check out the git tag OTP-22.0.7, and build a full OTP system
 including documentation. Apply one or more applications from this
 build as patches to your installation using the 'otp_patch_apply'
 tool. For information on install requirements, see descriptions for
 each application version below.

 ---------------------------------------------------------------------
 --- compiler-7.4.4 --------------------------------------------------
 ---------------------------------------------------------------------

 The compiler-7.4.4 application can be applied independently of other
 applications on a full OTP 22 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-15953    Application(s): compiler
               Related Id(s): ERL-999

               Fixed a compiler crash introduced in 22.0.6
               (OTP-15952).


 Full runtime dependencies of compiler-7.4.4: crypto-3.6, erts-9.0,
 hipe-3.12, kernel-4.0, stdlib-2.5


 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
 ---------------------------------------------------------------------

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
_______________________________________________
erlang-questions mailing list
[hidden email]
https://protect2.fireeye.com/url?k=40394e45-1cb0e186-40390ede-0cc47ad93d36-e3578889b6566760&q=1&u=http%3A%2F%2Ferlang.org%2Fmailman%2Flistinfo%2Ferlang-questions


_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Patch Package OTP 22.0.7 Released

Mark Jones
In reply to this post by Frank Muller
I compiled both 22.0.6 and 22.0.7 without error on Ubuntu 18.04 LTS including a cross compile to my embedded ARM target. For the x86-64 Ubuntu build I use asdf and the Erlang plugin with all default options. I don't use HIPE but my when I run erl I can see HIPE is available. My embedded ARM target which runs a customized Linux build I use the otp_build script with a  customized configuration file.

/Mark

On Thu, Jul 11, 2019 at 6:28 AM Frank Muller <[hidden email]> wrote:
Won’t compile on Ubuntu 16.04/18.04LTS after disabling native-libs and even HIPE

/Frank

Le jeu. 11 juil. 2019 à 11:45, Erlang/OTP <[hidden email]> a écrit :
Patch Package:           OTP 22.0.7
Git Tag:                 OTP-22.0.7
Date:                    2019-07-11
Trouble Report Id:       OTP-15953
Seq num:                 ERL-999
System:                  OTP
Release:                 22
Application:             compiler-7.4.4
Predecessor:             OTP 22.0.6

 Check out the git tag OTP-22.0.7, and build a full OTP system
 including documentation. Apply one or more applications from this
 build as patches to your installation using the 'otp_patch_apply'
 tool. For information on install requirements, see descriptions for
 each application version below.

 ---------------------------------------------------------------------
 --- compiler-7.4.4 --------------------------------------------------
 ---------------------------------------------------------------------

 The compiler-7.4.4 application can be applied independently of other
 applications on a full OTP 22 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-15953    Application(s): compiler
               Related Id(s): ERL-999

               Fixed a compiler crash introduced in 22.0.6
               (OTP-15952).


 Full runtime dependencies of compiler-7.4.4: crypto-3.6, erts-9.0,
 hipe-3.12, kernel-4.0, stdlib-2.5


 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
 ---------------------------------------------------------------------

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Patch Package OTP 22.0.7 Released

Frank Muller
The issue was when you —enable-threads. 
This option automatically set —enable-native-threads.

Everything works now as expected. 

Can someone please confirms this behaviour when setting —enable-threads?

/Frank

I compiled both 22.0.6 and 22.0.7 without error on Ubuntu 18.04 LTS including a cross compile to my embedded ARM target. For the x86-64 Ubuntu build I use asdf and the Erlang plugin with all default options. I don't use HIPE but my when I run erl I can see HIPE is available. My embedded ARM target which runs a customized Linux build I use the otp_build script with a  customized configuration file.

/Mark

On Thu, Jul 11, 2019 at 6:28 AM Frank Muller <[hidden email]> wrote:
Won’t compile on Ubuntu 16.04/18.04LTS after disabling native-libs and even HIPE

/Frank

Le jeu. 11 juil. 2019 à 11:45, Erlang/OTP <[hidden email]> a écrit :
Patch Package:           OTP 22.0.7
Git Tag:                 OTP-22.0.7
Date:                    2019-07-11
Trouble Report Id:       OTP-15953
Seq num:                 ERL-999
System:                  OTP
Release:                 22
Application:             compiler-7.4.4
Predecessor:             OTP 22.0.6

 Check out the git tag OTP-22.0.7, and build a full OTP system
 including documentation. Apply one or more applications from this
 build as patches to your installation using the 'otp_patch_apply'
 tool. For information on install requirements, see descriptions for
 each application version below.

 ---------------------------------------------------------------------
 --- compiler-7.4.4 --------------------------------------------------
 ---------------------------------------------------------------------

 The compiler-7.4.4 application can be applied independently of other
 applications on a full OTP 22 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-15953    Application(s): compiler
               Related Id(s): ERL-999

               Fixed a compiler crash introduced in 22.0.6
               (OTP-15952).


 Full runtime dependencies of compiler-7.4.4: crypto-3.6, erts-9.0,
 hipe-3.12, kernel-4.0, stdlib-2.5


 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
 ---------------------------------------------------------------------

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Patch Package OTP 22.0.7 Released

Rickard Green-2


On Thu, Jul 11, 2019 at 7:50 PM Frank Muller <[hidden email]> wrote:
The issue was when you —enable-threads. 
This option automatically set —enable-native-threads.

Everything works now as expected. 

Can someone please confirms this behaviour when setting —enable-threads?


No --enable-threads does not imply --enable-native-threads.

--
Rickard Green, Erlang/OTP, Ericsson AB

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Patch Package OTP 22.0.7 Released

Rickard Green-2


On Thu, Jul 11, 2019 at 8:07 PM Rickard Green <[hidden email]> wrote:


On Thu, Jul 11, 2019 at 7:50 PM Frank Muller <[hidden email]> wrote:
The issue was when you —enable-threads. 
This option automatically set —enable-native-threads.

Everything works now as expected. 

Can someone please confirms this behaviour when setting —enable-threads?


No --enable-threads does not imply --enable-native-threads.

--
Rickard Green, Erlang/OTP, Ericsson AB

Correction: No, --enable-threads does not imply --enable-native-libs

--enable-native-threads does not exit :-p

--
Rickard Green, Erlang/OTP, Ericsson AB

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Patch Package OTP 22.0.7 Released

Frank Muller
i meant —enable-native-libs Rickard 




On Thu, Jul 11, 2019 at 8:07 PM Rickard Green <[hidden email]> wrote:


On Thu, Jul 11, 2019 at 7:50 PM Frank Muller <[hidden email]> wrote:
The issue was when you —enable-threads. 
This option automatically set —enable-native-threads.

Everything works now as expected. 

Can someone please confirms this behaviour when setting —enable-threads?


No --enable-threads does not imply --enable-native-threads.

--
Rickard Green, Erlang/OTP, Ericsson AB

Correction: No, --enable-threads does not imply --enable-native-libs

--enable-native-threads does not exit :-p


--
Rickard Green, Erlang/OTP, Ericsson AB

_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions